Copy a design
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/clones \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/clones"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/clones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/clones",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/clones"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/clones")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/x-www-form-urlencoded")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/clones")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/x-www-form-urlencoded'
response = http.request(request)
puts response.read_body{
"design": {
"public_uid": "BD-2631233",
"name": "KENEKT DESIGN",
"description": "<div class=\"lexxy-content prose prose-lg max-w-none\"\n data-controller=\"lexxy-attachments\"\n data-lexxy-attachments-max-bytes-value=\"5242880\"\n data-lexxy-attachments-types-value=\"["image/jpeg","image/png","application/pdf"]\">\n <div>build design test</div>\n</div>\n",
"active": true,
"bedroom": "3",
"bathroom": "2",
"garage": "1",
"living": null,
"floor_area": "150.0",
"external_area": null,
"has_study": null,
"storey_type": "Single Storey",
"building_type": "House",
"range_name": null,
"photos_count": 0,
"documents_count": 0,
"build_width": "15",
"build_length": "12",
"min_width_land": "12.0",
"min_length_land": "20.0",
"squares": "0.0",
"floor_area_second_dwelling": "0.0",
"squares_second_dwelling": null,
"videos": [],
"rooms": []
}
}Stock / Designs
Copy a design
Creates a new design from this one.
POST
/
{agency_uid}
/
designs
/
{design_id}
/
clones
Copy a design
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/clones \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/clones"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/clones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/clones",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/clones"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/clones")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/x-www-form-urlencoded")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/clones")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/x-www-form-urlencoded'
response = http.request(request)
puts response.read_body{
"design": {
"public_uid": "BD-2631233",
"name": "KENEKT DESIGN",
"description": "<div class=\"lexxy-content prose prose-lg max-w-none\"\n data-controller=\"lexxy-attachments\"\n data-lexxy-attachments-max-bytes-value=\"5242880\"\n data-lexxy-attachments-types-value=\"["image/jpeg","image/png","application/pdf"]\">\n <div>build design test</div>\n</div>\n",
"active": true,
"bedroom": "3",
"bathroom": "2",
"garage": "1",
"living": null,
"floor_area": "150.0",
"external_area": null,
"has_study": null,
"storey_type": "Single Storey",
"building_type": "House",
"range_name": null,
"photos_count": 0,
"documents_count": 0,
"build_width": "15",
"build_length": "12",
"min_width_land": "12.0",
"min_length_land": "20.0",
"squares": "0.0",
"floor_area_second_dwelling": "0.0",
"squares_second_dwelling": null,
"videos": [],
"rooms": []
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/x-www-form-urlencoded
The body is of type object.
Response
201 - application/json
Created
Show child attributes
Show child attributes